Get external dnsstatus
curl --request GET \
--url https://{host}/api/supervisors/{name}/external-dns/status \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/external-dns/status"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/external-dns/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/external-dns/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/external-dns/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/external-dns/status")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/external-dns/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"installed": true,
"declaredDns": {
"ownerId": "<string>",
"provider": "<string>",
"providerRef": "<string>",
"server": "<string>",
"zone": "<string>"
},
"desired": {
"chartVersion": "<string>",
"dnsProviderName": "<string>",
"domainFilters": [
"<string>"
],
"etcdUrls": "<string>",
"pdnsCa": {
"source": "<string>",
"subject": "<string>"
},
"pdnsServer": "<string>",
"policy": "<string>",
"provider": "<string>",
"rfc2136Host": "<string>",
"rfc2136Insecure": true,
"rfc2136Port": 123,
"rfc2136TsigKeyname": "<string>",
"rfc2136Zone": "<string>",
"txtOwnerId": "<string>"
},
"helmRelease": {
"exists": true,
"ready": true,
"conditions": [
{
"message": "<string>",
"reason": "<string>",
"status": "<string>",
"type": "<string>"
}
],
"error": "<string>",
"installFailures": 123,
"lastAttemptedRevision": "<string>",
"message": "<string>",
"reason": "<string>",
"revision": "<string>",
"upgradeFailures": 123
},
"namespace": "<string>",
"providerCredentials": {
"read": true,
"reason": "<string>",
"stored": [
"<string>"
]
},
"supervisorDomain": "<string>"
}networking
Get external dnsstatus
DNS Publishing step — external-dns on the supervisor turns published
Authorisation: dns:GetStatus on krn:celum:supervisor:{name}:dns:*.
Assistant tool: get_external_dns_status
GET
/
api
/
supervisors
/
{name}
/
external-dns
/
status
Get external dnsstatus
curl --request GET \
--url https://{host}/api/supervisors/{name}/external-dns/status \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/external-dns/status"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/external-dns/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/external-dns/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/external-dns/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/external-dns/status")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/external-dns/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"installed": true,
"declaredDns": {
"ownerId": "<string>",
"provider": "<string>",
"providerRef": "<string>",
"server": "<string>",
"zone": "<string>"
},
"desired": {
"chartVersion": "<string>",
"dnsProviderName": "<string>",
"domainFilters": [
"<string>"
],
"etcdUrls": "<string>",
"pdnsCa": {
"source": "<string>",
"subject": "<string>"
},
"pdnsServer": "<string>",
"policy": "<string>",
"provider": "<string>",
"rfc2136Host": "<string>",
"rfc2136Insecure": true,
"rfc2136Port": 123,
"rfc2136TsigKeyname": "<string>",
"rfc2136Zone": "<string>",
"txtOwnerId": "<string>"
},
"helmRelease": {
"exists": true,
"ready": true,
"conditions": [
{
"message": "<string>",
"reason": "<string>",
"status": "<string>",
"type": "<string>"
}
],
"error": "<string>",
"installFailures": 123,
"lastAttemptedRevision": "<string>",
"message": "<string>",
"reason": "<string>",
"revision": "<string>",
"upgradeFailures": 123
},
"namespace": "<string>",
"providerCredentials": {
"read": true,
"reason": "<string>",
"stored": [
"<string>"
]
},
"supervisorDomain": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.